Retrieve a card withdrawal
curl --request GET \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID}")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"card_account_id": "<string>",
"customer_id": "<string>",
"amount": "<string>",
"currency": "usdc",
"destination": {
"chain": "<string>",
"address": "<string>",
"memo": "<string>",
"tx_hash": "<string>",
"gas_fee": {
"amount": "<string>",
"currency": "<string>"
}
},
"created_at": "<string>",
"updated_at": "<string>",
"type": "top_up_balance_withdrawal",
"client_note": "<string>"
}Cards
Retrieve a card withdrawal
Retrieve a card withdrawal with the specified ID, applicable to top-up accounts only
GET
/
customers
/
{customerID}
/
card_accounts
/
{cardAccountID}
/
withdrawals
/
{cardWithdrawalID}
Retrieve a card withdrawal
curl --request GET \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID}")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"card_account_id": "<string>",
"customer_id": "<string>",
"amount": "<string>",
"currency": "usdc",
"destination": {
"chain": "<string>",
"address": "<string>",
"memo": "<string>",
"tx_hash": "<string>",
"gas_fee": {
"amount": "<string>",
"currency": "<string>"
}
},
"created_at": "<string>",
"updated_at": "<string>",
"type": "top_up_balance_withdrawal",
"client_note": "<string>"
}Path Parameters
Response
The retrieved withdrawal
A card funds withdrawal
Was this page helpful?